<?
 session_start();
 require('../valtiempoinact.php');
 require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
  
  $idanuncio=$_GET['id'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Registro de Anuncios</title>
<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<script language="javascript">
function anadir(id,des){
   origen=document.getElementById(id);
   destino=document.getElementById(des);
   real=document.getElementById(des+"sel");
   valor=origen.value;
   if(valor==""){
   alert("NO PUEDES AGREGAR OPCIONES EN BLANCO!!!");
   }else{
    opt = new Option(valor,valor);
    destino.options[destino.length]=opt;
	n=destino.length;
    destino.options[n-1].selected = true;
    origen.value = '';
	real.value=valor;
  }
  categorias(des);
}
function anadirc(id,des){
   origen=document.getElementById(id);
   destino=document.getElementById(des);
   real=document.getElementById(des+"sel");
   valor=origen.value;
   if(destino.disabled){alert("Primero indica el Sitio Web en donde publicaste el anuncio");}else{
   if(valor==""){
   alert("NO PUEDES AGREGAR OPCIONES EN BLANCO!!!");
   }else{
    opt = new Option(valor,valor);
    destino.options[destino.length]=opt;
	n=destino.length;
    destino.options[n-1].selected = true;
    origen.value = '';
	real.value=valor;
  }
  }
}
</script>
<script>
function catesel(){
var origen=document.getElementById("categoria");
var sel=origen.selectedIndex;
var valor=origen[sel].text;
var destino=document.getElementById("categoriasel");
destino.value=valor;
}
function categorias(id){
var origen=document.getElementById(id);
var sel=origen.selectedIndex;
var tx=origen[sel].text;
var v=origen[sel].value;
var destino=document.getElementById("categoria");
var real=document.getElementById("directoriosel");
var real2=document.getElementById("categoriasel");
 if(v==""){destino.disabled=true;destino.length=1;real.value="";real2.value="";}else{
  destino.disabled=false;
  destino.length=1;
  var indice=1; 
  <?
  $sql="SELECT * FROM subdirectorios order by descripcion asc";
  $con=mysql_query($sql);
  while($ls=mysql_fetch_array($con)){
     $idcategoria=$ls["id_subdir"];
     $iddirectorio=$ls["id_directorio"];
     $categoria=$ls["descripcion"];
	 ?>
	 if(v=="<?echo $iddirectorio?>"){
	   destino.options[indice]=new Option("<?echo $categoria?>","<?echo $idcategoria?>");
	   indice++;
	 }
	 <?
  }
  ?>
  if(destino.length==1){
	    destino.options[1]=new Option(tx,tx);
	    destino.options[1].selected=true;
	 }
  if(destino.length==2){
	 destino.options[1].selected=true;
   }
   sel=origen.selectedIndex;
   tx=origen[sel].text;
   real.value= tx;
   catesel();   
 }
}

function depas(id){
var origen=document.getElementById(id);
var sel=origen.selectedIndex;
var tx=origen[sel].text;
var v=origen[sel].value;
var destino=document.getElementById("departamento");
 if(v==""){destino.disabled=true;destino.length=1;}else{
  destino.disabled=false;
  destino.length=1;
  var indice=1; 
  <?
  $sql="SELECT id_departamento,clave,id_complejo FROM departamentos";
  $con=mysql_query($sql);
  while($ls=mysql_fetch_array($con)){
     $idcategoria=$ls["id_departamento"];
     $iddirectorio=$ls["id_complejo"];
     $categoria=$ls["clave"];
	 ?>
	 if(v==0){destino.options[indice]=new Option("GENERAL","0");}
	 if(v=="<?echo $iddirectorio?>"){
	   destino.options[indice]=new Option("<?echo $categoria?>","<?echo $idcategoria?>");
	   indice++;
	 }
	 
	 <?
  }
  ?>
  if(destino.length==2){
	 destino.options[1].selected=true;
   }
 }
}

function validar(form1)
{
 if(document.form1.directorio.value==''){
  alert("Indica el Sitio Web en donde publicaste el anuncio");	 
  form1.directorio.focus();
  return false;
 }
 if(document.form1.categoria.value==''){
  alert("Indica la categoria en donde publicaste el anuncio");	 
  form1.categoria.focus();
  return false;
 }
 if(document.form1.anuncio.value==''){
  alert("El link del anuncio es requerido");	 
  form1.anuncio.focus();
  return false;
 }
 strExpReg = /^(ht|f)tps?:\/\/\w+([\.\-\w]+)?\.([a-z]{2,4}|travel)(:\d{2,5})?(\/.*)?$/i;
  if (!strExpReg.test(form1.anuncio.value)){
    strMensaje = 'La página web no es válida,\ncontiene carácteres ';
    strMensaje += 'no válidos o no empieza por "http://"';
    alert(strMensaje);
    form1.anuncio.focus();
    return false;
  }
 if(document.form1.propiedad.value==''){
  alert("Indica la propiedad que anunciaste");	 
  form1.propiedad.focus();
  return false;
 }
 if(document.form1.departamento.value==''){
  alert("Indica el departamento que anunciaste");	 
  form1.departamento.focus();
  return false;
 }
}

function cierranot(){ $(".notif").slideToggle('slow');}
</script>
<style>
		     .cont-busc{position:relative;width:850px;height:auto;min-height:400px !important;font-family:arial;color:#086A87;top:10px;overflow-x:hidden;margin:auto;}
			  .cont-res{position:relative;width:850px;font-family:arial;color:#086A87;top:0px;margin:auto;}
			  .datos{border:0;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;border-collapse: collapse;color:#0d0d0d;}
			  .datos .tl{-moz-box-shadow:inset 0 0 20px #000000;-webkit-box-shadow: inset 0 0 20px #000000;box-shadow: inset 0 0 20px #000000;}
			  .datos .trs{min-height:30px !important;max-height:30px !important;height:30px !important;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;font-size:12px;}
              .datos .trsb{min-height:15px !important;max-height:15px !important;height:15px !important;background:url(images/tcancion2.png);color:#58D3F7;font-size:12px;}
			  .datos .trsb td{border-left:solid 1px #6E6E6E;}
			  .datos .trsb td:first-child{border-left:none;}
			  .datos .tr{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			  .datos .trb{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			  .datos .trb td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .trb td:first-child{border-left:none;}
			  .datos .trssb{min-height:15px !important;max-height:15px !important;height:15px !important;background:url(images/tcancion2.png);color:#848484;}	
			  .datos .tr td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr td:first-child{border-left:none;}
	          .datos .tr:hover{background:#01A9DB;color:#ffffff;}	
	          .datos .tr:hover a{color:#ffffff;}
              .datos .tr1{min-height:20px !important;max-height:20px !important;height:20px !important;background:#E0F8F7;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}	
              .datos .tr1 td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr1 td:first-child{border-left:none;}
	          .datos .tr1:hover{background:#01A9DB;color:#ffffff;}	
	          .datos .tr1:hover a{color:#ffffff;}	
			  .datos .tr2{min-height:20px !important;max-height:20px !important;height:20px !important;background:#FFFFFF;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}	
              .datos .tr2 td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr2 td:first-child{border-left:none;}
			  .datos .activo{min-height:20px !important;max-height:20px !important;height:20px !important;background:#F3E2A9;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			  .ipt{border:none;background:none;color:#ffffff;font-weight:bold;}
			  .loading{position:fixed;left:50%;top:50%;width:250px;height:70px;margin-left:-125px;margin-top:-35px;display:none;background:url(images/bkloading.png);background-repeat:no-repeat;color:#ffffff;padding-top:25px;text-align:center;font-family:arial;font-size:12px;}
               .rentas{position:absolute;top:40px;width:800px;left:50%;margin-left:-421px;border:solid 1px  #D8D8D8; background:#FFFFFF; display:none;padding:20px;-Moz-box-shadow: 0 0 85px #000;-webkit-box-shadow: 0 0 85px #000; box-shadow: 0 0 85px #000;}
               .rentatab{border-collapse:collapse;color:#0d0d0d;font-family:arial;font-size:12px;}
               .rentatab .filatit{min-height:20px !important;max-height:20px !important;height:20px !important;background:#D8D8D8;border-top:solid 1px #D8D8D8;font-size:13px;}			   
               .rentatab .fila{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:12px;}
               .rentatab .fila td{border-left:solid 1px #D8D8D8;padding-left:5px;}
               .rentatab .fila td:first-child{border-left:none;}
               .cerrar{float:right;margin-top:-20px;margin-right:-20px;}	
               .notif{display:none;background:#D8F781;position:absolute;left:50%;margin-left:-250px;width:500px;height:auto;padding:20px;-moz-border-radius: 15px;-webkit-border-radius: 15px;border-radius: 5px;-khtml-border-radius: 15px;-Moz-box-shadow: 0 0 25px #000;-webkit-box-shadow: 0 0 25px #000; box-shadow: 0 0 25px #000;color:#173B0B;text-align:center;}			   
	     </style>
</head>
<body>
<?php
$empleado=mysql_query("select * from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
if($re=mysql_fetch_array($empleado))
{
 $id_empleado=$re['id_empleado'];
 $nom=$re['nombre'];
 $a_pat=$re['a_pat'];
 $a_mat=$re['a_mat'];
}
?>
    <div class="cont-busc">
	    <form name="form1" action="" method="post" onsubmit="return validar(this)">
	    <input type="hidden" name="id" value="<?php echo $id_empleado;?>" />
	    <input type="hidden" name="ida" value="<?php echo $idanuncio;?>" />
		<table class="datos" width="850" align="center" id="anuncios">
		     <tr>
			    <td colspan="6" class="tl" align="center">Modificar Anuncios</td> 
		     </tr>
             <tr class="trsb">
	            <td align="center">Directorio</td>
	            <td align="center">Categoria</td>
				<td align="center">Idioma</td>
	            <td align="center">Link</td>
	            <td align="center">Propiedad</td>
	            <td align="center">Habitación</td>
             </tr>
			 <?
			   $sql="SELECT a.id_anuncio as idanuncio,a.sitio_web as dir, a.subdirectorio as cat,a.propiedad as prop, a.departamento as dep,d.descripcion as descripcion, s.descripcion as categoria, a.anuncio as link, c.nombre as propiedad,dp.clave as departamento, a.idioma FROM anuncios as a INNER JOIN directorios as d ON a.sitio_web=d.id INNER JOIN subdirectorios as s ON a.subdirectorio=s.id_subdir INNER JOIN complejo as c ON a.propiedad=c.id_complejo INNER JOIN departamentos as dp ON a.departamento=dp.id_departamento WHERE a.id_anuncio='$idanuncio'";
						 $con=mysql_query($sql);
						 $ls=mysql_fetch_array($con);
						 $ls["descripcion"];
						 $dir=$ls["dir"];
			             $ls["categoria"];
			             $cat=$ls["cat"];
			             $ls["link"];
						 $ls["idioma"];
			             $pro=$ls["prop"];
			             $dep=$ls["dep"];
			 ?>
			 <tr class="tr2">
			    <td>
				    <select name="directorio" id="directorio" style="width:120px;" onchange="categorias(this.id)">
                         <option value=""></option>
			             <?php
                            $sql="SELECT * FROM directorios order by descripcion asc";						 
							$res=mysql_query($sql);
			                while($rdir=mysql_fetch_array($res))
			                     {
								   $iddir=$rdir['id'];
								  if($dir == $iddir){$selected="selected";}else{$selected="";}
			                      echo "<option value='$rdir[id]' style='font-size:10.5px;' $selected >$rdir[descripcion]</option>";
			                     }
			             ?>
			        </select>
					<input type="hidden" name="directoriosel" id="directoriosel" value="<?echo $ls["descripcion"];?>">
				</td>
			    <td>
				    <select name="categoria" id="categoria" style="width:120px;" onchange="catesel()">
                         <option value=""></option>
						 <?
						 $subdir=mysql_query("select * from subdirectorios WHERE id_directorio='$dir'",$db_conexion);
			                while($rdir=mysql_fetch_array($subdir))
			                     {
								 if($cat==$rdir['id_subdir']){$selected="selected";}else{$selected="";}
			                      echo "<option value='$rdir[id_subdir]' style='font-size:10.5px;' $selected >$rdir[descripcion]</option>";
			                     }
						 ?>		 
			        </select>
					<input type="hidden" name="categoriasel" id="categoriasel" value="<?echo $ls["categoria"];?>">
				</td>
				<td>
				<select name="idioma" id="idioma" style="width:120px;"  >
                         
						 <option value="1" <?php if( $ls["idioma"]==1){echo"selected='selected'";} ?>>Español</option>
						 <option value="2" <?php if( $ls["idioma"]==2){echo"selected='selected'";} ?>>Ingles</option>
			        </select>
				</td>
			    <td><input name="anuncio" type="text" size="30" value="<?echo $ls["link"];?>" AUTOCOMPLETE=OFF></td>
			    <td>
				    <select name="propiedad" id="propiedad" style="width:120px;" onchange="depas(this.id);">
                         <option value=""></option>
			             <?php
			                $sql=mysql_query("select id_complejo,nombre from complejo",$db_conexion);
			                while($prop=mysql_fetch_array($sql))
			                     {
								 if($pro==$prop['id_complejo']){$selected="selected";}else{$selected="";}
			                      echo "<option value='$prop[id_complejo]' style='font-size:10.5px;'$selected>$prop[nombre]</option>";
			                     }
			             ?>
			        </select>
				</td>
			    <td>
				    <select name="departamento" id="departamento" style="width:70px;">
                         <option value=""></option>
						 <?
						 $sql=mysql_query("select id_departamento,clave from departamentos WHERE id_complejo='$pro'",$db_conexion);
			                while($prop=mysql_fetch_array($sql))
			                     {
								 if($dep==$prop['id_departamento']){$selected="selected";}else{$selected="";}
			                      echo "<option value='$prop[id_departamento]' style='font-size:10.5px;'$selected>$prop[clave]</option>";
			                     }
			             ?>
			        </select>
				</td>
			 </tr>
			 <tr class="tr2">
			    <td><input type="text" id="agregardir" style="background-color:#E0E8F3;font-size:10.5px;width:110px;" onChange="javascript:this.value=this.value.toUpperCase();" size="30" autocomplete=off><a href="javascript:anadir('agregardir','directorio')"><img align="center" src="images/media.png" width="15" height="15"></a></td>
			    <td><input type="text" id="agregarcat" style="background-color:#E0E8F3;font-size:10.5px;width:110px;" onChange="javascript:this.value=this.value.toUpperCase();" size="30" autocomplete=off><a href="javascript:anadirc('agregarcat','categoria')"><img align="center" src="images/media.png" width="15" height="15"></a></td>
			    <td></td>
			    <td></td>
			    <td><input type="hidden" name="hora_ingreso" value="<?php echo date("H:i:s"); ?>" readonly="readonly" style="background-color:#f5f5f5; text-align:right; border:none;"></td>
			 </tr>
			 <tr class="tr2">
			    <td colspan="6" align="center"><input type="submit" name="botonregistro" id="enviar" value="Registrar"/></td>
			 </tr>
        </table>
	    </form>
		<div class="notif" id="notif">
		</div>
		<?
						 if(isset($_POST['botonregistro']))
						  {
						   					  
						   $id_empleado=$_POST['id'];
						   $idanuncio=$_POST['ida'];
							   //para la validacion
							   $idanusio=$idanuncio;
							   //
						   $dir=$_POST['directorio'];
						   $directorio=$_POST['directoriosel'];
						   $categoria=$_POST['categoriasel'];
						   $anuncio=$_POST['anuncio'];
						   $propiedad=$_POST['propiedad'];
						   $departamento=$_POST['departamento'];
						   $idioma=$_POST['idioma'];
						   
						  // INSERTA DIRECTORIOS SIEMPRE Y CUANDO NO SE REPITA
						    $sql="SELECT id,descripcion FROM directorios WHERE descripcion='$directorio'";					  
						    $con=mysql_query($sql);
							$r=mysql_fetch_array($con);
							$no=mysql_num_rows($con);
							if($no==0){
							 $sql="insert into directorios(descripcion) values('$directorio')";
							 mysql_query($sql);
						    $iddir=mysql_insert_id($db_conexion);							 
							}else{$iddir=$dir;}
						  // TERMINA INSERTA DIRECTORIOS SIEMPRE Y CUANDO NO SE REPITA
						  // INSERTA SUBDIRECTORIOS SIEMPRE Y CUANDO NO SE REPITA
						    $sql="SELECT id_subdir,descripcion FROM subdirectorios WHERE descripcion='$categoria'";					  
						    $con=mysql_query($sql);
							$no=mysql_num_rows($con);
							if($no==0){
							  $sql="insert into subdirectorios(id_directorio,descripcion) values('$iddir','$categoria')";
							 mysql_query($sql);
							 $idsub=mysql_insert_id($db_conexion);	
							}elseif($no==1){
							 $r=mysql_fetch_array($con);
							 $idsub=$r["id_subdir"];
							}
						   
						  // TERMINA INSERTA SUBDIRECTORIOS SIEMPRE Y CUANDO NO SE REPITA
						  // CONSULTA PARA EVITAR ANUNCIOS REPETIDOS
							  	$repetidos=mysql_query("select count(*) as repetidos from anuncios where anuncio='$anuncio' AND id_anuncio!='$idanuncio'",$db_conexion);
							  // FIN DE CONSULTA PARA EVITAR ANUNCIOS REPETIDOS 
							  $rr=mysql_fetch_array($repetidos);
						  		if($rr['repetidos']==0)
						  			{											              
									  $anuncios="UPDATE anuncios SET anuncio='$anuncio', sitio_web='$iddir',subdirectorio='$idsub', propiedad='$propiedad', departamento='$departamento', status='2', status2='2', idioma='$idioma' WHERE id_anuncio='$idanuncio'";
						              mysql_query($anuncios);
										?>
										<script>
										$(".notif").html("Los datos se han actualizado correctamente");
										document.getElementById("notif").style.background="#D8F781";
										document.getElementById("notif").style.color="#173B0B";
										cierranot();
										setTimeout("cierranot()",3000);
										window.opener.location.reload()
										//setTimeout('window.close()',5000);
										</script>
										<?
						            }else{
									 ?>
										<script>
										$(".notif").html("El anuncio ya existe. Favor de Verificar");
										document.getElementById("notif").style.background="#F79F81";
										document.getElementById("notif").style.color="#610B0B";
										cierranot();
										setTimeout("cierranot()",3000);
										window.opener.location.reload()
										setTimeout('window.close()',5000);
										</script>
										<?
									}
						// FIN DE INSERCION
						require("validador.php");
						}
						 ?>
	</div>
</body>
</html>	